Bug 850528 - (CVE-2012-4163, CVE-2012-4164, CVE-2012-4165, CVE-2012-4166, CVE-2012-4167) flash-plugin: multiple code execution flaws (APSB12-19)
flash-plugin: multiple code execution flaws (APSB12-19)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120821,repor...
: Security
Depends On: 848191 848192 848634 848635
Blocks: 850534
  Show dependency treegraph
 
Reported: 2012-08-21 14:44 EDT by Vincent Danen
Modified: 2015-11-24 10:09 EST (History)
5 users (show)

See Also:
Fixed In Version: flash-plugin 11.2.202.238
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 13:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-21 14:44:10 EDT
Adobe security bulletin APSB12-19 describes several security flaws that could cause Adobe Flash Player to crash and potentially allow an attacker to take control of the affected system:

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2012-4163, CVE-2012-4164, CVE-2012-4165, CVE-2012-4166).

These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2012-4167).


External Reference:

http://www.adobe.com/support/security/bulletins/apsb12-19.html
Comment 1 Vincent Danen 2012-08-21 14:59:42 EDT
According to the APSB12-19 advisory, these are fixed in 11.2.202.238 which was provided with RHSA-2012:1173 (and upstream APSB12-18).  Attempting to confirm this is not a typo or mistake.
Comment 2 Vincent Danen 2012-08-23 12:20:35 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1173 https://rhn.redhat.com/errata/RHSA-2012-1173.html
Comment 3 errata-xmlrpc 2012-08-23 12:29:20 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1203 https://rhn.redhat.com/errata/RHSA-2012-1203.html

Note You need to log in before you can comment on or make changes to this bug.